Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.negotiator
Class NegotiatorController

    java.lang.Object
      lbg.peer.core.negotiator.NegotiatorController

Direct Known Subclasses:
  LiveNegotiatorController, SimulatedNegotiatorController

    public abstract class NegotiatorController

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`NegotiatorController(Peer managed_peer)`

Method Summary
`void` | `activateSupplyingRequestsEvaluation()`
`void` | `activateSupplyingRequestsGeneration()`
`abstract void` | `awakeNegotiator()`
`boolean` | `couldNegotiate()`
`void` | `getAndResetControlFlags(NegotiatorControlFlags ctrl_flags)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NegotiatorController

    public NegotiatorController(Peer managed_peer)
                         throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### activateSupplyingRequestsGeneration

    public void activateSupplyingRequestsGeneration()
                                             throws GridException

  Throws:
    `GridException`

### activateSupplyingRequestsEvaluation

    public void activateSupplyingRequestsEvaluation()
                                             throws GridException

  Throws:
    `GridException`

### couldNegotiate

    public boolean couldNegotiate()

### getAndResetControlFlags

    public void getAndResetControlFlags(NegotiatorControlFlags ctrl_flags)

### awakeNegotiator

    public abstract void awakeNegotiator()
                                  throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.